Index: trunk/SRC/Postscript/closeps.pro
===================================================================
--- trunk/SRC/Postscript/closeps.pro	(revision 114)
+++ trunk/SRC/Postscript/closeps.pro	(revision 118)
@@ -12,5 +12,5 @@
 ;
 ; @keyword INFOWIDGET A long integer giving the id of the information
-;           widget (created by openps) that we have de destroy at 
+;           widget (created by openps) that we have de destroy at
 ;           the end of closeps (when the postscript is done)
 ;
@@ -19,5 +19,8 @@
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       21/12/98
-; June 2005: Sebastien Masson, english version with new commons 
+; June 2005: Sebastien Masson, english version with new commons
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -40,10 +43,10 @@
 ;------------------------------------------------------------
 ; if archive_ps /= 0 we will add its name and the date at the bottom
-; left corner of the page (in case if the postscript will be archived 
-; in printps 
+; left corner of the page (in case if the postscript will be archived
+; in printps
 ;------------------------------------------------------------
    IF keyword_set(archive_ps) THEN BEGIN
 ;------------------------------------------------------------
-; we get the name of the latest created postscript. 
+; we get the name of the latest created postscript.
 ;------------------------------------------------------------
      psdir = isadirectory(psdir, title = 'Select psdir')
@@ -95,5 +98,5 @@
      'WIN': SET_PLOT, thisOS
      ELSE: SET_PLOT, 'X'
-   ENDCASE    
+   ENDCASE
    def_myuniquetmpdir
    colorfile = myuniquetmpdir + 'original_colors.dat'
Index: trunk/SRC/Postscript/openps.pro
===================================================================
--- trunk/SRC/Postscript/openps.pro	(revision 114)
+++ trunk/SRC/Postscript/openps.pro	(revision 118)
@@ -11,5 +11,5 @@
 ; @keyword FILENAME to define the name of the postcript file through
 ;                  a keyword rather than with nameps inut argument
-;                  (in this case the keyword can be pass through 
+;                  (in this case the keyword can be pass through
 ;                  different routines via _extra keyword).
 ;
@@ -21,15 +21,17 @@
 ; @keyword KEEP_PFONT activate to suppress the modification of !p.font
 ;            (by defaut we force  !p.font = 0  to make smaller postscripts)
+; @keyword PORTRAIT
+; @keyword LANDSCAPE
 ; @keyword KEEPPFONT same as keep_pfont
 ;
 ; @keyword LIGHTNESS a scalar used to change the Lightness of the color
 ;            palette to be abble to adjust according to the printer we use,
-;            the media (paper or slide)... 
+;            the media (paper or slide)...
 ;               lightness < 1 to get lighter colors
 ;                         > 1 to get darker colors
 ;
-; @keyword _EXTRA: used to pass any keyword to device procedure.
-;  
-; uses cm_4ps
+; @keyword _EXTRA used to pass any keyword to device procedure.
+;
+; @uses cm_4ps
 ;
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
@@ -37,5 +39,8 @@
 ; 1/2/98: ajout de nameps en input
 ; 1/9/1999: ajout du mot cle FILENAME et du widget
-; June 2005: Sebastien Masson, cleaning, english version with new commons 
+; June 2005: Sebastien Masson, cleaning, english version with new commons
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -92,5 +97,5 @@
    nameps = isafile(nameps, iodir = psdir, /new)
 ;------------------------------------------------------------
-; we define xsize, ysize, xoffset et  yoffset 
+; we define xsize, ysize, xoffset et  yoffset
 ;------------------------------------------------------------
    IF n_elements(portrait) NE 0 OR n_elements(landscape) NE 0 THEN $
@@ -102,10 +107,10 @@
       xoff = 0.
       yoff = 0.
-   ENDIF ELSE BEGIN 
+   ENDIF ELSE BEGIN
       xs = max(page_size)
       ys = min(page_size)
       xoff = 0.
       yoff = max(page_size)
-   ENDELSE 
+   ENDELSE
 ;------------------------------------------------------------
 ; We define the device of the postscript mode
@@ -117,5 +122,5 @@
 ; to make smaller postcripts
    IF NOT (keyword_set(keeppfont) OR keyword_set(keep_pfont)) $
-   THEN !p.font = 0   
+   THEN !p.font = 0
 ; show some informations
    IF arg_present(infowidget) THEN $
Index: trunk/SRC/Postscript/printps.pro
===================================================================
--- trunk/SRC/Postscript/printps.pro	(revision 114)
+++ trunk/SRC/Postscript/printps.pro	(revision 118)
@@ -4,8 +4,7 @@
 ;+
 ;
-;
-;
+; @file_comments
 ; - archiving possibilities -
-; 
+;
 ; if archive_ps (common variable of cm_4ps) ne 0 then the postscript
 ; can be saved for archiving if it is printed or if the button
@@ -19,4 +18,6 @@
 ; @categories for the postscripts
 ;
+; @param event
+;
 ; @restrictions
 ;
@@ -38,5 +39,8 @@
 ;                       25/8/19999 utilisation des widgets
 ;                       8/9/1999 utilisation de cw_bgroup
-; June 2005: Sebastien Masson: cleaning, english version with new commons 
+; June 2005: Sebastien Masson: cleaning, english version with new commons
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -59,7 +63,7 @@
   CASE uval.name OF
 ;------------------------------------------------------------
-; visualize case : postscript visualization 
-;------------------------------------------------------------
-    'visualize':BEGIN 
+; visualize case : postscript visualization
+;------------------------------------------------------------
+    'visualize':BEGIN
 ; paper orientation
       if key_portrait EQ 1 then ori = 'portrait' ELSE ori = 'seascape'
@@ -97,5 +101,5 @@
         round(10*(43.18 + 27.94)) : papsize = 'ledger'
         ELSE:papsize = 'a4'
-      ENDCASE    
+      ENDCASE
 ; call the viewers
       CASE event.value OF
@@ -104,10 +108,10 @@
         'Kghostview':spawn, '\kghostview '+uval.nameps
       ENDCASE
-      return 
+      return
     END
 ;------------------------------------------------------------
 ; print case: print and archive the file if needed
 ;------------------------------------------------------------
-    'print':BEGIN 
+    'print':BEGIN
 ; printer selection
       printer = printer_machine_names[event.value]
@@ -131,7 +135,7 @@
     END
     ELSE:
-  ENDCASE 
+  ENDCASE
 ; we destroy the widget
-  widget_control, event.top, /destroy 
+  widget_control, event.top, /destroy
 ; if the file was originaly gzipped, then we re-gzip it and exit
   IF uval.gzip THEN BEGIN
@@ -176,5 +180,5 @@
     spawn, '\gzip ' + uval.nameps
   ENDIF
-;  
+;
   return
 end
@@ -187,5 +191,5 @@
 ;           visualize and/or print and/or archive. It can also refer
 ;           to a gzipped postscript file. If needed, this name will
-;           be completed by .ps and/or .gz 
+;           be completed by .ps and/or .gz
 ;
 ; @uses cm_4ps
@@ -198,5 +202,8 @@
 ;                       25/8/19999 utilisation des widgets
 ;                       8/9/1999 utilisation de cw_bgroup
-; June 2005: Sebastien Masson: cleaning, english version with new commons 
+; June 2005: Sebastien Masson: cleaning, english version with new commons
+;
+; @version $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -209,5 +216,5 @@
 ;
   thisOS = strupcase(strmid(!version.os_family, 0, 3))
-  CASE thisOS OF 
+  CASE thisOS OF
     'MAC':return
     'WIN':return
@@ -236,9 +243,9 @@
     END
     1: nameps = psfilename
-    ELSE: BEGIN 
+    ELSE: BEGIN
       ras = report('printps accept only one element: psfilename')
       RETURN
-    END 
-  ENDCASE       
+    END
+  ENDCASE
 ;------------------------------------------------------------
 ; we check if the file is exist in psdir. if necessary we complete
@@ -246,8 +253,8 @@
 ;------------------------------------------------------------
   nameps = find(nameps+'{.ps,}{.gz,}', iodir = psdir, /nopro)
-  IF nameps EQ 'NOT FOUND' THEN BEGIN 
+  IF nameps EQ 'NOT FOUND' THEN BEGIN
     ng = report('file '+nameps+'[.ps][.gz] does not exist ')
     return
-  ENDIF 
+  ENDIF
   gzipped = strpos(nameps, '.gz')
 ; if the file is gzipped we call gunzip et change its name
@@ -264,16 +271,16 @@
   psviewers = ['no psviewers found']
   IF file_which(getenv('PATH'), 'ghostview') NE '' THEN $
-    psviewers = [psviewers, 'Ghostview'] 
+    psviewers = [psviewers, 'Ghostview']
   IF file_which(getenv('PATH'), 'gs') NE '' THEN $
-    psviewers = [psviewers, 'Ghostscript'] 
+    psviewers = [psviewers, 'Ghostscript']
   IF file_which(getenv('PATH'), 'kghostview') NE '' THEN $
-    psviewers = [psviewers, 'Kghostview'] 
+    psviewers = [psviewers, 'Kghostview']
 ; if at least one of viewer was found we define these buttons
-  IF n_elements(psviewers) GT 1 THEN BEGIN 
+  IF n_elements(psviewers) GT 1 THEN BEGIN
     psviewers = psviewers[1:*]
     notused = cw_bgroup(base, psviewers, /frame, label_top = 'Visualize' $
                         , uvalue = {name:'visualize', nameps:nameps} $
                         , /column, /return_name)
-  ENDIF 
+  ENDIF
 ; printers list grouped buttons
 ; are the common variables printer_human_names and printer_human_names
